Loading...
Searching...
No Matches
stdex::html::declaration Class Reference

HTML declaration. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::declaration:

## Public Member Functions

template<class T >
| declaration (stdex::parser::basic_html_tag< T > &&tag, sequence *parent=nullptr)
Public Member Functions inherited from stdex::html::sequence
| sequence (stdex::parser::html_sequence_t _type=stdex::parser::html_sequence_t::unknown, size_t start=0, size_t end=0, sequence *_parent=nullptr)

## Public Attributes

stdex::interval< size_t > | name
| Declaration name position in source.
std::vector< stdex::parser::html_attribute > | attributes
| Declaration attribute positions in source.
Public Attributes inherited from stdex::html::sequence
stdex::parser::html_sequence_t | type
| Sequence type. Enum is used for performance reasons (vs. `dynamic_cast`)
stdex::interval< size_t > | interval
| Sequence position in source.
sequence * | parent
| Parent sequence.

## Detailed Description

HTML declaration.

The documentation for this class was generated from the following file:

- include/stdex/html.hpp